using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PT
{
    [Description("实施计划附件")]
    public class T_PT_INDICATOR_FORMULATION_PLAN_FILE : MesEntityBase
    {
        [Description("安全生产目标与指标制定表")]
        [DataFieldForeignKey("Nav_Indeicator", "Nav_PlanFiles")]
        public Guid INDICATOR_FORMULATION_ID { get; set; }

        [Description("导航属性：安全生产目标与指标制定表")]
        public virtual T_PT_INDICATOR_FORMULATION Nav_Indeicator { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
